org.apache.sysds.runtime.controlprogram.parfor.opt

## Enum OptNode.ExecType

- java.lang.Object
- - java.lang.Enum<OptNode.ExecType>
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode.ExecType

- All Implemented Interfaces:
    Serializable, Comparable<OptNode.ExecType>
  Enclosing class:
    OptNode

      public static enum OptNode.ExecType
      extends Enum<OptNode.ExecType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CP`
    `SPARK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParForProgramBlock.PExecMode` | `toParForExecMode()`
    `static OptNode.ExecType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OptNode.ExecType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CP

          public static final OptNode.ExecType CP

    - #### SPARK

          public static final OptNode.ExecType SPARK

  - ### Method Detail

    - #### values

          public static OptNode.ExecType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OptNode.ExecType c : OptNode.ExecType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OptNode.ExecType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toParForExecMode

          public ParForProgramBlock.PExecMode toParForExecMode()

Copyright © 2021 The Apache Software Foundation. All rights reserved.